<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>

</html>
<script type="module">
    import Person from './Person.js';
    import Employee from './Employee.js';

    // Khởi tạo 3 đối tượng Person
    const person1 = new Person('John', 25, 'Male');
    const person2 = new Person('Alice', 30, 'Female');
    const person3 = new Person('Bob', 20, 'Male');

    console.log(person1.getPersonInfo());
    console.log(person2.getPersonInfo());
    console.log(person3.getPersonInfo());

    // Kiểm tra instance của đối tượng
    console.log(person1 instanceof Person);
    console.log(person2 instanceof Person);
    console.log(person3 instanceof Person);

    // Khởi tạo 3 đối tượng Employee
    const employee1 = new Employee('Emma', 30, 'Female', 'ABC Company', 5000, 'Manager');
    const employee2 = new Employee('Tom', 35, 'Male', 'XYZ Company', 4000, 'Engineer');
    const employee3 = new Employee('Lily', 28, 'Female', 'DEF Company', 6000, 'Director');

    console.log(employee1.getEmployeeInfo());
    console.log(employee2.getEmployeeInfo());
    console.log(employee3.getEmployeeInfo());

    console.log(employee1.getPosition());
    employee1.setPosition('Senior Manager');
    console.log(employee1.getPosition());

    // Kiểm tra instance của đối tượng
    console.log(employee1 instanceof Person);
    console.log(employee1 instanceof Employee);
    console.log(employee2 instanceof Person);
    console.log(employee2 instanceof Employee);
    console.log(employee3 instanceof Person);
    console.log(employee3 instanceof Employee);

</script>